=== debian/tests/control ===
Tests: postfix
Depends: python-unittest2, procmail, sasl2-bin, python-pexpect, lsb-release, libsasl2-modules
Restrictions: needs-root, isolation-container
