## postfix 3.1.0

=== debian/changelog ===
postfix (3.1.0-5ubuntu1) yakkety; urgency=medium

  * Use correct service dependencies in postfix@.service, to avoid racing
    systemd-resolved at boot.  LP: #1519331.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Jun 2017 13:00:35 -0700

postfix (3.1.0-5) unstable; urgency=medium

  * Switch back to the new world order for enabling hardening
  * Add relro to 12_add_bind_now_to_pie.diff and rename since relro had gotten
    lost somewhere
  * Update debconf translation templates using debconf-updatepo
  * Drop unused overrides in debian/postfix.lintian-override
  * Drop 15 year old breaks on libnss-db

 -- Scott Kitterman <scott@kitterman.com>  Fri, 29 Jul 2016 11:35:10 -0400

postfix (3.1.0-4) unstable; urgency=medium

  * Remove timestamps gzip headers to make build reproducible
    (Closes: #777503)
  * Update debian/rules to provide separate build-arch/build-indep rules and
    adjust to build arch and indep separately (Closes: #822016)
  * Bump standards version to 3.9.8 without further change
  * When running systemctl reload postfix.service, propagate the reload
    request to all running instances of postfix@.service
  * Edit debian/changelog from NMU to include Dutch localization update that
    was silently included

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jul 2016 17:42:07 -0400

postfix (3.1.0-3.1) unstable; urgency=medium

  [Sophie Brun]

  * Non-maintainer upload.
  * Add systemd integration (Closes: #715188, #755960)
    Thanks to Cameron Norman and Shawn Landden for the initial work.
    The final design looks like this:
    - postfix.service is an empty service file which lets you manage
      all instances together.
    - each instance is controlled by a postfix@instance.service file
    - postfix@instance services are brought into life by a new
      systemd generator (postfix-instance-generator)
    - the usage of "postmulti -p start/stop/reload" in postfix@.service
      ensures that the service is not started if disabled at the
      postmulti level

  [localization folks]

  * l10n: Updated Dutch translations.  Closes: #822886 (Frans Spiesschaert)

 -- Sophie Brun <sophie@freexian.com>  Wed, 15 Jun 2016 09:28:11 +0200

postfix (3.1.0-3) unstable; urgency=medium

  * By default, include $myhostname into $mydestinations.

 -- LaMont Jones <lamont@debian.org>  Wed, 13 Apr 2016 10:21:24 -0600

postfix (3.1.0-2) unstable; urgency=medium

  * cleanup changelog.
  * It's possible that main.cf does not exist at preinst upgrade time.
  * There was a time when the initscript copied in the CA files incorrectly
    and made them directories.  We need to clean up after that bug better.
    Closes: #815906, #815707

 -- LaMont Jones <lamont@debian.org>  Mon, 11 Apr 2016 08:10:55 -0600

postfix (3.1.0-1) unstable; urgency=medium

  [LaMont Jones]

  * Explicitly chroot services that we want chrooted in master.cf on fresh
    installs.
  * Convert defaults as needed for 3.0+ on upgrade to minimize compatibility
    warnings.
  * Build-Depend: libicu-dev for libicuuc, and therefore EAI.  LP: #1561975
    Updating compatibility_level will be done in a future release.

  [Scott Kitterman]

  * Remove .pc file since trying to keep the .pc in a VCS leads to madness.
  * Set debian paths in configure instead of patching src/util/sys_defs.h

  [Steve Beattie]

  * When enabling position independent executables (-pie) to get better
    Address Space Layout Protection, using immediate binding (linking with
    "-z now") gives better protection as well.

  [localization folks]

  * l10n: Updated Japanese debconf translations.  Closes: #816180 (Kenshi Muto)
  * l10n: Updated Italian debconf translations.  Closes: #817149 (Dario)
  * l10n: Updated Basque debconf translations.  Closes: #816079 (Dooteo)
  * l10n: Updated German debconf translations.  Closes: #816092 (Helge
    Kreutzmann)
  * l10n: Updated Portuguese debconf translations.  Closes: #816084 (Traduz)
  * l10n: Updated Czech debconf translations.  Closes: #816408 (Miroslav Kure)
  * l10n: Updated Brazilian Portuguese debconf translations.  Closes: #816274
    (Marcelo Santana)
  * l10n: Updated Brazilian Portuguese debconf translations (Marcelo Santana)
  * l10n: Updated Turkish debconf translations.  Closes: #817019 (Atila KOÇ)
  * l10n: Updated Dutch debconf translations.  Closes: #817032 (Frans
    Spiesschaert)

 -- LaMont Jones <lamont@debian.org>  Sun, 03 Apr 2016 11:54:02 -0600

postfix (3.0.4-5) unstable; urgency=medium

  [LaMont Jones]

  * Cleanup logic in postinst

  [localization folks]

  * l10n: Updated Slovak debconf translations.  Closes: #816052 (helix84)
  * l10n: Updated Indonesian debconf translations. (Surya Fajri)

 -- LaMont Jones <lamont@debian.org>  Sat, 27 Feb 2016 01:33:17 +0000

postfix (3.0.4-4) unstable; urgency=medium

  [LaMont Jones]

  * If main.cf has daemon_directory = /usr/lib/postfix, then fix it or abort
    the install.  Closes: #815047

  [localization folks]

  * l10n: New Brazilian Portuguese debconf translations.  Closes: #815985
    (Marcelo Santana)
  * l10n: Updated Frence debconf templates.  Closes: #816018 (Christian
    Perrier)

 -- LaMont Jones <lamont@debian.org>  Fri, 26 Feb 2016 22:15:25 +0000

postfix (3.0.4-3) unstable; urgency=medium

  [Scott Kitterman]

  * Move libpostfix-*.so.1* to /usr/lib/postfix to match the specified value
    of shlib_directory
  * Set daemon_directory to usr/lib/postfix/sbin to match install location and
    to fix failure to start due to shlib_directory and daemon_directory
    pointing to the same location (Closes: #815047)

 -- LaMont Jones <lamont@debian.org>  Wed, 24 Feb 2016 12:47:38 -0700

postfix (3.0.4-2) unstable; urgency=medium

  [LaMont Jones]

  * For now, use python2.7 for the test suite.  See also launchpad bug 1548594.
  * Better handling for smtp_tls_CAfile.  Closes: #815707

  [localization folks]

  * l10n: Updated German debconf translations.  Closes: #815698 (Helge
    Kreutzmann)

