=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: postfix
 Section: mail
 Priority: extra
-Maintainer: LaMont Jones <lamont@debian.org>
-Standards-Version: 3.9.1.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
+Standards-Version: 3.9.8
 Homepage: http://www.postfix.org
-Build-Depends: debhelper (>= 7), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), libpcre3-dev, libmysqlclient-dev|libmysqlclient15-dev|libmysqlclient14-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, hardening-wrapper, dpkg-dev (>= 1.15.5), libsqlite3-dev
-Vcs-Browser: http://git.debian.org/?p=users/lamont/postfix.git
-Vcs-Git: git://git.debian.org/~lamont/postfix.git
+Build-Depends: debhelper (>= 7), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), libpcre3-dev, libmysqlclient-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev, dh-systemd
+Vcs-Browser: https://git.launchpad.net/postfix
+Vcs-Git: git://git.launchpad.net/postfix
+Uploaders: Scott Kitterman <scott@kitterman.com>
 XS-Testsuite: autopkgtest
 
 Package: postfix
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio
 Replaces: mail-transport-agent
-Recommends: python
+Recommends: python3
 Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, sasl2-bin, libsasl2-modules, dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
-Conflicts: mail-transport-agent, smail, libnss-db (<< 2.2-3)
+Conflicts: mail-transport-agent, smail
 Provides: mail-transport-agent, ${postfix:Provides}
 Description: High-performance mail transport agent
  ${Description}
