## postfix 3.1.4

=== debian/changelog ===
postfix (3.1.4-4ubuntu1) zesty; urgency=medium

  * Use correct service dependencies in postfix@.service, to avoid racing
    systemd-resolved at boot.  LP: #1519331.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Jun 2017 00:35:57 -0700

postfix (3.1.4-4) unstable; urgency=medium

    [Scott Kitterman]

  * Correct permissions for /etc/systemd/system/postfix.service.d/
    override.conf install in postfix.postinst.  Closes: #851521

  [localization folks]

  * l10n: Updated Czech debconf translations.  Closes: #852195 (Miroslav Kure)
  * l10n: Updated Dutch debconf translations.  Closes: #850738 (Frans
    Spiesschaert) 

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Jan 2017 10:03:04 -0500

postfix (3.1.4-3) unstable; urgency=medium

  [LaMont Jones]

  * Use the lmtp binary for lmtp, make it a hardlink instead of a symlink. 
    Closes: #850430, #850426  LP: #1654453

  [Scott Kitterman]

  * Update multi-instance instructions to have new instances start on boot.
  * Juggle lmtp and qmgr symlinks so it builds

  [Daniel Shahaf]

  * Allow postfix variable interpolation in control scripts. (Accepted with
    changes.).  Closes: #848686

  [localization folks]

  * l10n: Updated Russian debconf translations. (Sergey Alyoshin)
  * l10n: Updated French debconf translations.  Closes: #850573 (jean-pierre
    giraud)
  * l10n: Updated Portuguese debconf translations.  Closes: #850616 (Miguel
    Figueiredo)
  * l10n: Updated Catalan debconf translations.  Closes: #850551 (Innocent De
    Marchi)
  * l10n: Updated Turkish debconf translations.  Closes: #850598 (Atila KOÇ)

 -- LaMont Jones <lamont@debian.org>  Mon, 09 Jan 2017 07:25:22 -0700

postfix (3.1.4-2) unstable; urgency=medium

  * Update postfix Suggestions.
  * Update postfix-sqlite postinst/prerm to reflect that addmap is idempotent.
  * Restore so.1.0.1 symlinks for map libraries and change how new entries are
    added.  Closes: #850400
  * Be more aggressive in retiring usage of lmtp binary.  Closes: #850430
    LP: #1654453
  * Check symlinks separately in postfix-script, to allow library symlinks. 
    This will go away once the symlinks are dropped again.

 -- LaMont Jones <lamont@debian.org>  Fri, 06 Jan 2017 08:41:36 -0700

postfix (3.1.4-1) unstable; urgency=medium

  [Wietse Venema]

  * New Upstream 3.1.4

  [Scott Kitterman]

  * For systems using systemd (and only systems using systemd) and not
    configured for local only use, add service override file to start after
    network-online.target and systemd-resolved.service to ensure the network
    is fully up and name services are available.  Closes: #822291, #836306,
    #844277  LP: #1649453
  * Remove postfix-dev: The postfix headers are not public interfaces and not
    suitable for third-party development
  * Stop setting artificial soname for postfix share libs - upstream does not
    promise any ABI stability and in Debian exact version depends keep needed
    packages in sync - Resolves most symlink related issues with postfix check
  * Do not choke on dangling symlinks in ca-certificates.  LP: #1305232
  * Stop shipping lmtp symlink and have master.cf/master.cf.proto lmtp
    services us smtp - they are the same since postfix 2.1.  Closes: #832576
  * Remove debian/*.files - no longer needed
  * Split postfix-files into postfix-files.d snippets for each postfix-*
    binary to enable postfix set-permissions to have the potential to work
    (additional file naming issues still to be resolved)
  * Install /etc/postfix/makedefs.out so users can see how the package was
    built
  * Add /etc/postfix/dynamicmaps.cf.d and postfix-files.d to directories
    shipped by postfix
  * Exclude Postfix license files from postfix-files - not needed in Debian
    since we ship the licenses in debian/copyright
  * Update debian/patches/05_debian_defaults.diff to comment out files in
    postfix-files that Debian does not ship in /etc/postfix
  * Add debian/patches/05_debian_manpage_differences.diff to align
    postfix-files to Debian man page naming/compression
  * Add debian/patches/05_debian_readme_differences.diff to align
    postfix-files to Debian README file naming/compression.  Closes: #589188 
    LP: #274108
  * Add OVERVIEW to README files shipped in postfix-doc
  * Moved install of map type so files inside the loop used to create their
    postfix-files.d snippets to simplify debian/rules
  * Added postfix.NEWS entry to describe the demise of the smtp -> lmtp symlink
  * Move man 5 *_tables man pages to their respective binary packages and add
    appropriate breaks/replaces
  * Remove ancient check for kernels before 2.6.  Closes: #794038
  * Remove service file override on purge
  * Do not attempt to use postmulti is /etc/postfix/main.cf does not exist -
    it will fail
  * Add NEWS item and documentation about how to us postfix service files. 
    Closes: #849584

  [LaMont Jones]

  * Make lmtp warning be a debconf question, instead of a NEWS item.
  * Allow libmysqlclient-dev to satisfy build-deps, to make backporting easier.
  * Better permissions for /etc/postfix/postfix-files.d, et al.
  * Default to compatibility_level=2 on fresh installs.
  * Various lint cleanup in templates.
  * re-refresh po files for neatness.
  * Various message cleanup in postinst, for consistency.

  [localization folks]

  * l10n: Updated Japanese debconf translations.  Closes: #849919 (Kenshi Muto)
  * l10n: Updated Slovak debconf translations.  Closes: #849778 (helix84)
  * l10n: Updated Basque debconf translation.  Closes: #850049 (Dooteo)
  * l10n: Updated Swedish debconf translations.  Closes: #849920 (Martin Bagge)
  * l10n: Updated Danish debconf translations.  Closes: #849964 (Joe Dalton)
  * l10n: Updated Indonesian debconf translations. (Surya Fajri)
  * l10n: Updated Brazilian Portuguese debconf translations. (Uesli)
  * l10n: Updated Brazilian Portuguese debconf translations.  Closes: #850086
    (Marcelo Santana)

